Agents Schema Reference
Shared Parameters
| Field | Location | Required | Type | Format / Constraints |
|---|---|---|---|---|
X-API-KEY | Header | Yes | string | Not specified in schema |
mpid | Path | Yes | string | Supplier MPID |
dip_id | Query (GET /agents/v1/{mpid}) | Yes | string | Not specified |
Agent Response Schema (AgentSchema)
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
id | Yes | string | UUID |
name | Yes | string | Not specified |
mpid | Yes | string | Not specified |
dip_id | Yes | string | Not specified |
role | Yes | string | Not specified |
effective_from | Yes | string(datetime) | ISO 8601 datetime; schema normalizes date, naive datetime, and ISO strings to UTC |
IF047 Manual Ingestion Request
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
gcs_object_path | Yes | string | Not specified |
issue_number | No | string or null | Not specified |
IF047 Manual Ingestion Response
| Field | Required | Type | Format / Constraints |
|---|---|---|---|
process_id | Yes | string | UUID |
status | Yes | string | Not specified |
rows_processed | No | integer or null | Not specified |
gcs_object_path | Yes | string | Not specified |
error_message | No | string or null | Not specified |